image: rocker/verse

stages:
  - build

buildbinary:
  stage: build
  script:
   - Rscript -e "data.table::update_dev_pkg()"
    - Rscript -e "roxygen2::roxygenize()"
    - Rscript -e "devtools::install()"
    - Rscript -e "install.packages('knitrBootstrap')"
    - Rscript -e "rmarkdown::render('GuideUtilisateur.Rmd')"
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"'
